Skip to main content
GET
Retrieve Rates that belong to a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[account_id]
string

Account ID filter

filter[account_type]
string

AccountType filter. See AccountType enum for accepted values.

filter[driver_id]
string

Driver ID filter

filter[equipment_id]
string

Equipment ID filter

filter[include_default]
boolean

Includes default rates when set to true

filter[owner_type]
string

RateOwnerType filter

filter[project_id]
string

Project ID filter

filter[service_id]
string

Service ID filter

filter[service_class_id]
string<uuid>

The associated ServiceClass ID

filter[equipment_type_id]
string<uuid>

The associated EquipmentType ID

Response

OK

data
(RateTime-Read · object | RatePerUnit-Read · object | RateCommission-Read · object | RateFlatCommission-Read · object | RateFlatRate-Read · object)[]
required

Base model for Rates. Do not use this directly, instead use the submodels.